<div [@routerTransition]>
    <app-page-header [heading]="'Add Schedule'" [icon]="'fa-edit'"></app-page-header>

    
    <div class="row">
            <div class="col-lg-6">
              <form [formGroup]="form" (ngSubmit)="onSubmit()">
                  <hr>
                  <div class="form-group">
                      <label><b>디바이스번호</b></label>
                      <select class="form-control" formControlName="device_id">
                        <option label="-- 선택 --"></option>
                        <option *ngFor="let device of devices" [value]="device.id">{{ device.id }}</option>
                      </select>
                  </div>
                  <hr />
                  <hr>
                  <div class="form-group">
                    <label><b>공통</b></label>
                    <div class="input-group-prepend">
                        <span class="input-group-text">용기질량</span>
                        <input type="number" class="form-control" formControlName="mass" placeholder="입력">
                    </div>
                    <div class="input-group-prepend">
                        <span class="input-group-text">용기+물</span>
                        <input type="number" class="form-control" formControlName="water" placeholder="입력">
                    </div>
                    <div class="input-group-prepend">
                        <span class="input-group-text">용기용적</span>
                        <input type="number" class="form-control" formControlName="volume" placeholder="입력">
                    </div>
                    <div class="input-group-prepend">
                        <span class="input-group-text">공기실용적</span>
                        <input type="number" class="form-control" formControlName="air_volume" placeholder="입력">
                    </div>
                    <div class="input-group-prepend">
                        <span class="input-group-text">Pz</span>
                        <input type="number" class="form-control" formControlName="pz" placeholder="입력">
                    </div>
                  </div>

                  <hr />
                  <div align="right">
                    <button type="button" class="btn btn-primary btn-md" (click)="open(content)" [disabled]="!form.valid">제출</button>
                    <ng-template #content let-modal>
                        <div class="modal-header">
                            <h4 class="modal-title">공통추가</h4>
                        </div>
                        <div class="modal-body">
                            <p>공통값을 추가하시겠습니까?</p>
                            
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" (click)="onSubmit()">확인</button>
                            <button type="button" class="btn btn-default" aria-label="Close" (click)="modal.dismiss('Cross click')">취소</button>
                        </div>
                    </ng-template>
                  </div>                
              </form>

            </div>
        </div>

</div>
